KJL - Feature #2908

Menu Purchase Requisition Draft
07/22/2024 11:33 AM - haykal haykal

Status: QA Test Start date: 07/22/2024
Priority: Normal Due date: 07/26/2024
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Sesuai permintaan KJL, mereka ingin di dokumen Purchase Requisition statusnya otomatis Draft. Maka dari itu saya buatkan menu
baru yaitu Purchase Requisition Draft. Di menu itu ingin Document Statusnya hanya ada Draft dan Cancel.

Sementara yg menu Purchase Requisition biasa ingin dipergunakan bagi orang yang bisa mengapprove PR. Jadi di menu Purchase
Requisition yang muncul Document Statusnya adalah Draft, Approved, Cancel.

Dan di Document List menu Purchase Requisition ingin menampilkan semua dokumen yang telah dibuat di Purchase Requisition
Draft.

Terimakasih.
Menu Path: Logistic & Service > Purchasing > Purchase Requisition Draft

Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (di 1452)

History

#1 - 07/22/2024 05:46 PM - Kezia Pawitra Yulianti
- Due date set to 07/26/2024

- Status changed from New to Assigned

#2 - 07/31/2024 05:21 PM - Tri Rizqgiaty
- File Deploy 20240725 KJL 61138 Pur Doc Status.rar added

- Status changed from Assigned to Developing

Fixing sesuai file terlampir

#3 - 07/31/2024 05:21 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 08/01/2024 10:09 AM - haykal haykal
- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to Moch Alinafia

#5 - 08/01/2024 11:39 AM - Moch Alinafia
- Status changed from Deploy to Closed

#6 - 10/15/2024 05:34 PM - haykal haykal
- Status changed from Closed to Assigned

- Assignee changed from Moch Alinafia to Tri Rizqiaty

Mbak Yomma,

Utk menu Purchase Requisition Draft ini Document Statusnya ingin ditambahkan Document Status In Process (DocStatus: 5, DocType: PR, , Tabel:
http://remote.minovais.com:61138/

PCMBSPURCHASEDOCSTATUS)

Terimakasih.

#7 - 10/23/2024 09:46 AM - Tri Rizqgiaty
- File PDSCMBSPURCHASEDOCSTATUS.sql added
- File clipboard-202410230946-asbh6.png added

- Status changed from Assigned to Developing

Fixing :

1. execute SP terlampir
2. update Ul/app/view/logistic : documentlogistic.js

B po_hba.conf Jl B postaresgl. cont _4] B mderpsearch.js _J] B Minovaxtype.js Jl B Log.ta Jl B fingerSC. et Jl B document.js Jl S documentiogisticjs -4 B documentlogistic.js E3
rar paramitem = undefined: Ff add GICU draft
if{menuid == 'GICTZ"'})
{

paramitem = "DocType[=]" + doctype + ", DocStatus[<>]37 ;
1
else if{menuid == 'PURCHDEMANDFORGOODZ'Y // Permintaan Barang
{

paramitem = "DocType[=]" + doctype + ", DocStatus[=]127 ;
H
else if{menuid == 'PURCHREQUISITICNDRAFT') /) pr draft
{

paramitem = "DocType[=]" + doctype + ", Docitatus[<=]2" ;
}
elze 1L(menuld == @ SALESINGDRAF T} Sing Oratt
{

paramitem = "DocType[=]" + doctype + ", DocStatus[<>]5" ;
}
else if{menuid == 'SLLEIORDERDREALFT') // sord draft
{

paramitem = "DocType[=]" + doctype + ", DocStatus[<>]27 ;
}
else if{menuid == 'SALESQUOTADRAFT'}) // scuo draft

{

#8 - 10/23/2024 09:47 AM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Files

Deploy 20240725 KJL 61138 Pur Doc Status.rar 148 KB 07/31/2024 Tri Rizqiaty

PDSCMBSPURCHASEDOCSTATUS.sql 1.65 KB 10/23/2024 Tri Rizqiaty

clipboard-202410230946-asbh6.png 24.9 KB 10/23/2024 Tri Rizqiaty
